View Issue Details

IDProjectCategoryView StatusLast Update
0019726mantisbtcode cleanuppublic2015-09-06 17:37
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.3Fixed in Version1.3.0-beta.3 
Summary0019726: Deprecate db_query_bound(), use db_query() instead
Description

We rename db_query_bound to db_query within mantis core. This allows us to shorten the function name, and later to remove the function.

An alias for db_query_bound() was created to ensure legacy code continues to work, and give plugin authors time to update their code.

TagsNo tags attached.

Activities

dregad

dregad

2015-05-17 06:10

developer   ~0050775

The change was actually implemented by grangeway in commit b7e258c41644631877e2b6d9f0c2a941ddeee6e4 (released in 1.3.0-beta.1)

Related Changesets

MantisBT: master b7e258c4

2014-09-05 19:44:16

Paul Richards

Details Diff
Shorten db_query_bound to db_query

We add a function "alias" for db_query_bound so that
existing code will continue to work.

We rename db_query_bound to db_query within mantis core.

Long term, this allows us to shorten db_query_bound() to a more sensible
db_query() call and to remove the function in 2.0 as it gives plugin
authors time to update their code and support both 1.3 and 2.0
mod - account_sponsor_page.php Diff File
mod - adm_config_report.php Diff File
mod - admin/check/check_database_inc.php Diff File
mod - admin/db_stats.php Diff File
mod - admin/move_attachments.php Diff File
mod - admin/move_attachments_page.php Diff File
mod - api/soap/mc_api.php Diff File
mod - api/soap/mc_file_api.php Diff File
mod - api/soap/mc_issue_api.php Diff File
mod - api/soap/mc_project_api.php Diff File
mod - changelog_page.php Diff File
mod - core/access_api.php Diff File
mod - core/authentication_api.php Diff File
mod - core/bug_api.php Diff File
mod - core/bug_revision_api.php Diff File
mod - core/bugnote_api.php Diff File
mod - core/category_api.php Diff File
mod - core/cfdefs/cfdef_standard.php Diff File
mod - core/config_api.php Diff File
mod - core/custom_field_api.php Diff File
mod - core/database_api.php Diff File
mod - core/email_api.php Diff File
mod - core/email_queue_api.php Diff File
mod - core/file_api.php Diff File
mod - core/filter_api.php Diff File
mod - core/helper_api.php Diff File
mod - core/history_api.php Diff File
mod - core/install_helper_functions_api.php Diff File
mod - core/news_api.php Diff File
mod - core/plugin_api.php Diff File
mod - core/print_api.php Diff File
mod - core/profile_api.php Diff File
mod - core/project_api.php Diff File
mod - core/project_hierarchy_api.php Diff File
mod - core/relationship_api.php Diff File
mod - core/sponsorship_api.php Diff File
mod - core/summary_api.php Diff File
mod - core/tag_api.php Diff File
mod - core/timeline_api.php Diff File
mod - core/tokens_api.php Diff File
mod - core/user_api.php Diff File
mod - core/user_pref_api.php Diff File
mod - core/version_api.php Diff File
mod - file_download.php Diff File
mod - lost_pwd.php Diff File
mod - manage_plugin_update.php Diff File
mod - manage_proj_cat_delete.php Diff File
mod - manage_user_page.php Diff File
mod - manage_user_prune.php Diff File
mod - manage_user_update.php Diff File
mod - plugins/MantisGraph/core/graph_api.php Diff File
mod - plugins/MantisGraph/pages/bug_graph_bycategory.php Diff File
mod - plugins/MantisGraph/pages/bug_graph_bystatus.php Diff File
mod - print_all_bug_options_inc.php Diff File
mod - print_all_bug_options_reset.php Diff File
mod - print_all_bug_options_update.php Diff File
mod - print_bugnote_inc.php Diff File
mod - proj_doc_delete.php Diff File
mod - proj_doc_edit_page.php Diff File
mod - proj_doc_page.php Diff File
mod - proj_doc_update.php Diff File
mod - roadmap_page.php Diff File
mod - summary_page.php Diff File

MantisBT: master 1b08e257

2015-05-17 06:08:36

dregad

Details Diff
db_query_bound() now triggers deprecated warning

Fixes 0019726
mod - core/database_api.php Diff File

MantisBT: master ec20e187

2015-05-17 10:45:02

atrol

Details Diff
Replace deprecated db_query_bound() by db_query()

Fixes 0019726
mod - manage_user_page.php Diff File

Issue History

Date Modified Username Field Change
2015-05-17 06:07 dregad New Issue
2015-05-17 06:07 dregad Status new => assigned
2015-05-17 06:07 dregad Assigned To => dregad
2015-05-17 06:07 dregad Description Updated View Revisions
2015-05-17 06:08 dregad Changeset attached => MantisBT master b7e258c4
2015-05-17 06:10 dregad Note Added: 0050775
2015-05-17 06:11 dregad Changeset attached => MantisBT master 1b08e257
2015-05-17 06:11 dregad Status assigned => resolved
2015-05-17 06:11 dregad Resolution open => fixed
2015-05-17 06:11 dregad Fixed in Version => 1.3.0-beta.3
2015-05-17 10:45 atrol Changeset attached => MantisBT master ec20e187
2015-09-06 17:37 vboctoradmin Status resolved => closed